x=read.table("SP500jpMorgan2013.dat", header=T)
n=nrow(x)
t=x[n:1,]
x1=diff(log(t[,2]))*100
x2=diff(log(t[,3]))*100
tt=data.frame(x1,x2)
names(tt)=c("S&P500", "JP Morgan")

library(vars)
attach(tt)
t=VAR(tt)
x=Psi(t)

y=matrix(ncol=4,nrow=11)
y[,1]=x[1,1,]
y[,2]=x[1,2,]
y[,3]=x[2,1,]
y[,4]=x[2,2,]
i=0:10

ps.options(horizontal=F, width=4.6, height=3, pointsize=8)
postscript("Fig46.ps", onefile=F, print=F)
par(mar=c(3,3,2,1), mfrow=c(2,2), mgp=c(2.0,0.8,0))
plot(i, y[,1], xlab='lag', ylab='', ylim=c(-0.1,0.7), type='o', col="darkblue",
main='S&P 500 to 1st component')
abline(0,0, lty=2)
plot(i, y[,2], xlab='lag', ylab='', type='o', ylim=c(-0.1,0.7), col="darkblue", main='S&P 500 to 2nd component')
abline(0,0, lty=2)
plot(i, y[,3], xlab='lag', ylab='', col="darkblue", type='o', ylim=c(-0.1,0.7), main='JP Morgan to 1st component')
abline(0,0, lty=2)
plot(i, y[,4], xlab='lag', ylab='', col="darkblue", type='o', main='JP Morgan to 2nd component' )
abline(0,0, lty=2)
dev.off()
